Bug 141018 - System does not mount drives properly.
System does not mount drives properly.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-28 05:45 EST by Ivo Sarak
Modified: 2015-01-04 17:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:19:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivo Sarak 2004-11-28 05:45:53 EST
Description of problem:
After the update to latest Rawhide the system does not mount the
drives properly - df command is showing that these drives are mounted,
but they all look the same and are empty.

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.667

How reproducible:
Always.

Steps to Reproduce:
1. Update to latest available Rawhide (rpm http://ayo.freshrpms.net/
fedora/linux/development/i386 core);
  
Actual results:
[root@sarmax ~]# df
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/hda1             22113824  11792936   9197544  57% /boot
none                    257904       184    257720   1% /dev/shm
/dev/hda4             22113824  11792936   9197544  57% /first
/dev/sdb1             22113824  11792936   9197544  57% /second
/dev/sdc1             22113824  11792936   9197544  57% /third
[root@sarmax ~]# cat /etc/fstab
# This file is edited by fstab-sync - see 'man fstab-sync' for details
/dev/hda2               /                       ext3    defaults     
  1 1
/dev/hda1               /boot                   ext3    defaults     
  1 1
none                    /dev/pts                devpts  gid=5,mode=620
 0 0
none                    /dev/shm                tmpfs   defaults     
  0 0
none                    /proc                   proc    defaults     
  0 0
none                    /sys                    sysfs   defaults     
  0 0
/dev/hda3               swap                    swap    defaults     
  0 0
/dev/hda4               /first                  ext3    defaults     
  1 1
/dev/sdb1               /second                 ext3    defaults     
  1 1
/dev/sdc1               /third                  ext3    defaults     
  1 1
/dev/hdd                /media/cdrom            auto   
pamconsole,ro,exec,noauto,managed 0 0
/dev/hdc                /media/cdrecorder       auto   
pamconsole,ro,exec,noauto,managed 0 0
/dev/scd0               /media/cdrom1           auto   
pamconsole,ro,exec,noauto,managed 0 0
/dev/fd0                /media/floppy           auto   
pamconsole,exec,noauto,managed 0 0
[root@sarmax ~]# cd /
[root@sarmax /]# cd first
[root@sarmax first]# ls
[root@sarmax first]# cd
[root@sarmax ~]# umount /first
umount: /dev/hda4: not mounted
umount: /dev/hda4: not mounted
[root@sarmax ~]# umount /boot
umount: /dev/hda1: not mounted
umount: /dev/hda1: not mounted
[root@sarmax ~]# umount /second
umount: /dev/sdb1: not mounted
umount: /dev/sdb1: not mounted
[root@sarmax ~]# umount /third
umount: /dev/sdc1: not mounted
umount: /dev/sdc1: not mounted
[root@sarmax ~]# mount /boot
[root@sarmax ~]# mount /first
[root@sarmax ~]# mount /second
[root@sarmax ~]# mount /third

Expected results:
[root@sarmax ~]# df
Filesystem           1K-blocks      Used Available Use% Mounted on
none                    257904       184    257720   1% /dev/shm
/dev/hda1               147766     17893    122244  13% /boot
/dev/hda4             90701024  84911412   1182172  99% /first
/dev/sdb1            153834852 144075292   1945144  99% /second
/dev/sdc1            240362656 203937308  24215548  90% /third
[root@sarmax ~]#

Additional info:
I am not sure the kernel was update at the last update (28-11-2004).
Comment 1 Ivo Sarak 2004-11-28 05:47:29 EST
One thing is strange - why is the "/" missing from the df output? 
Comment 2 Ivo Sarak 2004-12-02 04:14:25 EST
Latest update (02.dec.2004) fixed the issue.
Comment 3 Dave Jones 2005-07-15 16:44:18 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Dave Jones 2005-10-02 21:19:22 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.